Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class ScatterboxTableDragGestureListener

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.ScatterboxDNDObject
          edu.stanford.smi.protegex.widget.scatterbox.ScatterboxTableDragGestureListener

All Implemented Interfaces:
  DragGestureListener, EventListener

    public class ScatterboxTableDragGestureListener

extends ScatterboxDNDObject
implements DragGestureListener

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.widget.scatterbox.ScatterboxDNDObject
`_entryCls, _flavor, _queryUtilsObject, _underlyingTable, _widget`

Constructor Summary
`ScatterboxTableDragGestureListener(ScatterboxWidget widget, ScatterboxTable underlyingTable, KBQueryUtils queryUtilsObject)`

Method Summary
`void` | `dragGestureRecognized(DragGestureEvent dragGestureEvent)`

Methods inherited from class edu.stanford.smi.protegex.widget.scatterbox.ScatterboxDNDObject
`getTableLocationForEvent, putEntryAtPoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScatterboxTableDragGestureListener

    public ScatterboxTableDragGestureListener(ScatterboxWidget widget,
                                              ScatterboxTable underlyingTable,
                                              KBQueryUtils queryUtilsObject)

Method Detail

### dragGestureRecognized

    public void dragGestureRecognized(DragGestureEvent dragGestureEvent)

  Specified by:
    `dragGestureRecognized` in interface `DragGestureListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request